package usherbrooke.ift630;

public class Passenger {

	private String	name;
	private int		id;
	private int		color = -1;
	private Stop	dest;
	private Stop	start;

    Passenger(int id, Stop dest, Stop start) {
		this.id = id;
		this.name = "Passenger " + id;
		this.dest = dest;
		this.start = start;
    }

	public synchronized void embark() {}

	public synchronized void disembark() {}

	public Stop getStart() {
		return start;
	}

	public Stop getDest() {
		return dest;
	}

	public String getName() {
		return name;
	}

	public void setName(int color) {
		this.color = color;
	}

	public void printDetails(int indent) {
		if (color == -1) color = id;
		Logger.getInstance().print(color, "\t".repeat(indent) + "---".repeat(3) + " Passenger details " + "---".repeat(3));
		Logger.getInstance().print(color, "\t".repeat(indent) + name + " start: " + start.getName() + " dest: " + dest.getName());
	}

	public void printDetails() {
		printDetails(0);
	}
}
